import {newSpecPage} from '@stencil/core/testing';
import {HyKeyFigureGroup} from '../hy-key-figure-group';

describe('hy-key-figure-group', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [HyKeyFigureGroup],
      html: `<hy-key-figure-group data-items='[{"heading":"a","description":"b"}]'></hy-key-figure-group>`,
    });
    expect(page.root).toEqualHtml(`
      <hy-key-figure-group data-items="[{&quot;heading&quot;:&quot;a&quot;,&quot;description&quot;:&quot;b&quot;}]">
        <mock:shadow-root>
          <div class="big hy-key-figure-group-container">
            <div class="hy-key-figure-group">
              <hy-key-figure class="box" description="b" heading="a" variant="big"></hy-key-figure>
            </div>
          </div>
          <hy-box pb="3, 5, 6"></hy-box>
        </mock:shadow-root>
      </hy-key-figure-group>
    `);
  });
});
